<!DOCTYPE html>
<html lang="ca">
    <head>
	    <meta charset="utf-8" />
        <title> Què són les pseudoclasses de CSS</title>
        <link rel="stylesheet" href="css/c2e5.css" type="text/css" />
    </head>
          
<body>
   
    <h1>Què són les pseudoclasses?</h1>
    <p>Una pseudoclase CSS és una paraula clau que s'afegeix als selectors i que especifica un estat especial de l'element
    seleccionat. Per exemple, <code>:hover</code> aplicarà un estil quan l'usuari passi el ratolí per sobre de l'element especificat pel selector.
    Les pseudoclasses CSS permeten estilitzar els estats dinàmics d’un element.
    
    Les pseudoclases, juntament amb els pseudoelements, permeten aplicar un estil a un element no solament en relació amb el copntingut 
    de l'arbre del document, sinó també en relació amb factors externs com l'historial del navegador (<code>:visited</code>, per exemple),
    l'estat del seu contingut (per exemple, el <code>:checked</code> en alguns elements del formulari),
    o la posició del ratolí (<code>:hover</code> "permet saber" si el ratolí està a sobre d'un element o no).</p>

  <h1>Què puc fer amb la pseudoclasse <code>:hover</code></h1>
    
<p>Aquesta Aquesta pseudoclasse s'aplica solament a l'element enfocat en si mateix.
Si volem seleccionar un element que contingui un element enfocat hauríem d'utilitzar 
<code> :focus-within</code>.</p>

<a href="#">Prova l'efecte <code>hover</code> i <code>:visited</code></a>

 <p>Passant el ratolí per sobre de l'enllaç has pogut comprovar l'efecte <code>:hover</code> i <code>:visited</code>. A més, en aquest enllaç també hi ha present l'efecte <code>:link></code>.</p>
 
   <p> Sabries aplicar l'efecte <code>:hover</code> a un botó?</p>
            <input type="button" value="Clica'm">
 

<p>L'efecte <code>:hover</code> ens permet, per exemple, poder emular un slide de imatges a partir d'un grup de imatges en miniatura.</p>


<div id="contenidor-galeria">
	<div class="item-galeria">
		<img src="imatges/supersayan_icon.jpg" class="previ-galeria" />
		<img src="imatges/1.jpg" class="galeria-gran" />
	</div>
	<div class="item-galeria">
		<img src="imatges/supersayan_icon4.jpg" class="previ-galeria" />
		<img src="imatges/2.jpg" class="galeria-gran" />
	</div>
	<div class="item-galeria">
		<img src="imatges/supersayan_icon3.jpg" class="previ-galeria" />
		<img src="imatges/3.jpg" class="galeria-gran" />
	</div>
	<div class="item-galeria">
		<img src="imatges/supersayan_icon2.jpg" class="previ-galeria" />
		<img src="imatges/4.jpg" class="galeria-gran" />
	</div>
</div>

</body>
</html>
